Package org.apache.solr.client.solrj.routing

# Class RequestReplicaListTransformerGenerator

java.lang.Object
org.apache.solr.client.solrj.routing.RequestReplicaListTransformerGenerator

public class RequestReplicaListTransformerGenerator extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ReplicaListTransformerFactory`
`RANDOM_RLTF`

## Constructor Summary

Constructors
Constructor
Description
`RequestReplicaListTransformerGenerator()`
`RequestReplicaListTransformerGenerator(String defaultShardPreferences, String nodeName, String baseUrl, String hostName, NodesSysProps sysProps)`
`RequestReplicaListTransformerGenerator(ReplicaListTransformerFactory defaultRltFactory)`
`RequestReplicaListTransformerGenerator(ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory)`
`RequestReplicaListTransformerGenerator(ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory, String defaultShardPreferences, String nodeName, String baseUrl, String hostName, NodesSysProps sysProps)`

## Method Summary

Modifier and Type
Method
Description
`ReplicaListTransformer`
`getReplicaListTransformer(SolrParams requestParams)`
`ReplicaListTransformer`
`getReplicaListTransformer(SolrParams requestParams, String defaultShardPreferences)`
`ReplicaListTransformer`
`getReplicaListTransformer(SolrParams requestParams, String defaultShardPreferences, String nodeName, String baseUrl, String hostName, NodesSysProps sysProps)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### RANDOM_RLTF

public static final ReplicaListTransformerFactory RANDOM_RLTF

## Constructor Details

### RequestReplicaListTransformerGenerator

public RequestReplicaListTransformerGenerator()

### RequestReplicaListTransformerGenerator

public RequestReplicaListTransformerGenerator(ReplicaListTransformerFactory defaultRltFactory)

### RequestReplicaListTransformerGenerator

public RequestReplicaListTransformerGenerator(ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory)

### RequestReplicaListTransformerGenerator

public RequestReplicaListTransformerGenerator(String defaultShardPreferences, String nodeName, String baseUrl, String hostName, NodesSysProps sysProps)

### RequestReplicaListTransformerGenerator

public RequestReplicaListTransformerGenerator(ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory, String defaultShardPreferences, String nodeName, String baseUrl, String hostName, NodesSysProps sysProps)

## Method Details

### getReplicaListTransformer

public ReplicaListTransformer getReplicaListTransformer(SolrParams requestParams)

### getReplicaListTransformer

public ReplicaListTransformer getReplicaListTransformer(SolrParams requestParams, String defaultShardPreferences)

### getReplicaListTransformer

public ReplicaListTransformer getReplicaListTransformer(SolrParams requestParams, String defaultShardPreferences, String nodeName, String baseUrl, String hostName, NodesSysProps sysProps)